<?php

session_start();
require_once('../../Web_Admin/conexion.php');
if(isset($_SESSION['Login'])){
	$Id	=$_SESSION['Login'];
	$Folio =$_POST['Folio'];
	$Origen=$_SESSION['Origen'];
	$archivo = $_FILES["archivo"];
}else {
	session_start();
	session_destroy();
	header('location: ../../Salir.php');
}

function Bloque_Fol($Folio, $Id, $Archivo){
	$db = new Conexion();
	//$sql=$db->query("SELECT A.*, C.nombre FROM O_Blocks A INNER JOIN O_Asig_block B on A.Id_blocks=B.Id_block INNER JOIN C_Municipios C on B.Id_cliente=C.id WHERE A.F_inicio <= $Folio and A.F_final >= $Folio and C.id = $Id");
	$Sql="SELECT A.*, D.Ruta FROM Prod_Guias_Comite.O_Blocks A INNER JOIN Prod_Guias_Union.O_Asig_block_Gan B on A.Id_blocks=B.Id_block INNER JOIN Prod_Guias_Union.C_Municipios C on B.Id_cliente=C.id INNER JOIN Prod_Guias_Union.O_Acceso D on B.Id_cliente=D.Id WHERE A.F_inicio <= $Folio and A.F_final >= $Folio and C.id = $Id ORDER by D.Ruta DESC LIMIT 1";
	$sql=$db->query($Sql);
	$dato=$db->recorrer($sql);
	//$Mun=str_replace(' ', '', ($dato['nombre']));
	$Mun=$dato['Ruta'];
	$Block='Block_'.$dato['Id_blocks'];
	$Ruta='../../Hist_Folios/'.$Mun.'/'.$Block.'/';
	if(!file_exists($Ruta)){
		 mkdir($Ruta,0777,true);
	  }
	//$Ruta_ = $Mun.'/'.$Block.'/'.$Archivo; 
	$Ruta_ = '/'.$Block.'/'.$Archivo; 
	$sql="Update Prod_Guias_Union.O_Folios_Asig set Ruta='$Ruta_' where Folio=$Folio";
	$db->query($sql);
	return($Ruta);
}

$Ruta=Bloque_Fol($Folio,$Id,$archivo["name"]);
$resultado =move_uploaded_file($archivo["tmp_name"],$Ruta.$archivo["name"]);
if ($resultado) {
    echo "true";
} else {
    echo "false";
}
